Package org.bukkit

# Interface SoundGroup

public interface SoundGroup
Represents a group of sounds for blocks that are played when various actions happen (ie stepping, breaking, hitting, etc).

## Method Summary

Modifier and Type
Method
Description
`@NotNull Sound`
`getBreakSound()`
Gets the corresponding breaking sound for this group.
`@NotNull Sound`
`getFallSound()`
Gets the corresponding fall sound for this group.
`@NotNull Sound`
`getHitSound()`
Gets the corresponding hit sound for this group.
`float`
`getPitch()`
Gets the pitch these sounds are played at.
`@NotNull Sound`
`getPlaceSound()`
Gets the corresponding place sound for this group.
`@NotNull Sound`
`getStepSound()`
Gets the corresponding step sound for this group.
`float`
`getVolume()`
Get the volume these sounds are played at.

## Method Details

### getVolume

float getVolume()
Get the volume these sounds are played at. Note that this volume does not always represent the actual volume received by the client.

Returns:
  volume

### getPitch

float getPitch()
Gets the pitch these sounds are played at. Note that this pitch does not always represent the actual pitch received by the client.

Returns:
  pitch

### getBreakSound

@NotNull @NotNull Sound getBreakSound()
Gets the corresponding breaking sound for this group.

Returns:
  the break sound

### getStepSound

@NotNull @NotNull Sound getStepSound()
Gets the corresponding step sound for this group.

Returns:
  the step sound

### getPlaceSound

@NotNull @NotNull Sound getPlaceSound()
Gets the corresponding place sound for this group.

Returns:
  the place sound

### getHitSound

@NotNull @NotNull Sound getHitSound()
Gets the corresponding hit sound for this group.

Returns:
  the hit sound

### getFallSound

@NotNull @NotNull Sound getFallSound()
Gets the corresponding fall sound for this group.

Returns:
  the fall sound